// ========================================
// ==============  skybox ================
// ========================================
// ========================================

textures/happyjumptutorial/h_happysky
{
	q3map_lightRGB 0.923568 0.959106 1.000000
	q3map_skylight 200 5
	surfaceparm nomarks
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightmapFilterRadius 0 8
	q3map_sunExt 1.00 0.99 0.85 350 175 35 1 2
	q3map_nolightmap
	skyparms env/happyjumptutorial/h_glacier 1024 -
}



// ========================================
// ============  common-like ==============
// ========================================
// ========================================

textures/happyjumptutorial/h_caulk_nonsolid
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
}

textures/happyjumptutorial/h_caulkslick
{
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
}

textures/happyjumptutorial/h_invisible
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm nolightmap
}

textures/happyjumptutorial/h_skip
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/happyjumptutorial/h_watercaulk
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}



// ========================================
// ============  transparent ==============
// ========================================
// ========================================

textures/happyjumptutorial/h_fence
{
	surfaceparm trans		
	cull none
        nopicmip
	surfaceparm playerclip
    	surfaceparm nonsolid

	{
		map textures/toxic2_new/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/happyjumptutorial/h_poster_power
{
	qer_editorImage textures/happyjumptutorial/h_poster_power.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/happyjumptutorial/h_poster_power.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

textures/happyjumptutorial/h_poster_jump
{
	qer_editorImage textures/happyjumptutorial/h_poster_jump.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/happyjumptutorial/h_poster_jump.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

textures/happyjumptutorial/h_poster_urt
{
	qer_editorImage textures/happyjumptutorial/h_poster_urt.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/happyjumptutorial/h_poster_urt.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}

textures/happyjumptutorial/h_poster_behappy
{
	qer_editorImage textures/happyjumptutorial/h_poster_behappy.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/happyjumptutorial/h_poster_behappy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbgen identity
		depthFunc equal
	}
}



// ========================================
// =============  nonsolid  ===============
// ========================================
// ========================================

textures/happyjumptutorial/h_black_nonsolid:q3map
{
	surfaceparm nonsolid
}

textures/happyjumptutorial/h_ecrate_drty-fmtl3_nonsolid:q3map
{
	surfaceparm nonsolid
}

textures/happyjumptutorial/h_pak3_wd1_bs1_nonsolid:q3map
{
	surfaceparm nonsolid
}

textures/happyjumptutorial/h_shingle_1_nonsolid:q3map
{
	surfaceparm nonsolid
}

textures/happyjumptutorial/h_h_pak3_wd1_bs1_nonsolid:q3map
{
	surfaceparm nonsolid
}

// ========================================
// ===============  light  ================
// ========================================
// ========================================

textures/happyjumptutorial/h_light
{
	qer_editorimage textures/happyjumptutorial/h_light.tga
	surfaceparm nodamage
	q3map_surfaceLight 50000
	{
		map textures/happyjumptutorial/h_light.tga
		}
        {
		map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}



// ========================================
// ===============  shiny  ================
// ========================================
// ========================================

textures/happyjumptutorial/h_green
{
	qer_editorimage "textures/happyjumptutorial/h_green.jpg"
	cull disable
	surfaceparm nodamage
	surfaceparm trans
	q3map_surfaceLight 50
	{ 
		map textures/happyjumptutorial/h_green.jpg
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll -.05 1
	}
	{
		map textures/happyjumptutorial/h_tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbgen identity		
	}
}

textures/happyjumptutorial/h_metal
{
        surfaceparm nodamage
        surfaceparm nomarks
        qer_editorimage textures/happyjumptutorial/h_metal.JPG
        {
            map textures/happyjumptutorial/h_chrome_tint.tga
            tcGen environment
        }
        {
            map textures/happyjumptutorial/h_metal.JPG
            blendFunc GL_ONE GL_ONE
            tcMod scale 8 8
            rgbGen identity
        }
        {
            map $lightmap
            rgbgen identity
            blendFunc GL_DST_COLOR GL_ZERO
        }
}



// ========================================
// ===============  water  ================
// ========================================
// ========================================

textures/happyjumptutorial/h_clrip3
	{
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/happyjumptutorial/h_pool3d_5.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/happyjumptutorial/h_pool3d_6.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/happyjumptutorial/h_pool3d_3.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
}

textures/happyjumptutorial/h_pool3d_3e
	{
		qer_editorimage textures/happyjumptutorial/h_pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		surfaceparm noimpact
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/happyjumptutorial/h_pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/happyjumptutorial/h_pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}




// ========================================
// ===============  glass  ================
// ========================================
// ========================================

textures/happyjumptutorial/h_greenice
{	
	qer_editorimage textures/happyjumptutorial/h_green.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{	map textures/happyjumptutorial/h_white_glass.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.0 1.0 0.0 )
	}
}

textures/happyjumptutorial/h_redpath
{	
	qer_editorimage textures/happyjumptutorial/h_white_glass.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	{	map textures/happyjumptutorial/h_white_glass.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 1.0 0.0 0.0 )
	}
}

textures/happyjumptutorial/h_sw_glass_clear
{
	qer_editorimage textures/happyjumptutorial/h_tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nodamage

	{
		map textures/happyjumptutorial/h_tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/happyjumptutorial/h_sw_glass_clear_nonsolid
{
	qer_editorimage textures/happyjumptutorial/h_tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid

	{
		map textures/happyjumptutorial/h_tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


// ========================================
// ==============  nodamage  ==============
// ========================================
// ========================================

textures/happyjumptutorial/h_basic:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_black:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_concrete050:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_crate2:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_door:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_ecrate_drty-fmtl3:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_fbm01:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_floor041:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_floor070b:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_krate02:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_pak3_wd1_bs1:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_pipe2:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_pipe:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_shingle_1:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_sn_wall1:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_sw_box8:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_wall_standard_dark:q3map
{
	surfaceparm nodamage
}

textures/happyjumptutorial/h_wood4a:q3map
{
	surfaceparm nodamage
}